aboutsummaryrefslogtreecommitdiffstats
path: root/test/e2e/run-web3.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/e2e/run-web3.sh')
-rwxr-xr-xtest/e2e/run-web3.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/e2e/run-web3.sh b/test/e2e/run-web3.sh
new file mode 100755
index 000000000..174370683
--- /dev/null
+++ b/test/e2e/run-web3.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+set -e
+set -u
+set -o pipefail
+
+export PATH="$PATH:./node_modules/.bin"
+
+concurrently --kill-others \
+ --names 'dapp,e2e' \
+ --prefix '[{time}][{name}]' \
+ 'static-server test/web3 --port 8080' \
+ 'sleep 5 && mocha test/e2e/web3.spec'